import OathHammerItemSheet from "./base-item-sheet.mjs"

export default class OathHammerAmmunitionSheet extends OathHammerItemSheet {
  /** @override */
  static DEFAULT_OPTIONS = {
    classes: ["ammunition"],
    position: {
      width: 620,
    },
    window: {
      contentClasses: ["ammunition-content"],
    },
  }

  /** @override */
  static PARTS = {
    main: {
      template: "systems/fvtt-oath-hammer/templates/item/ammunition-sheet.hbs",
    },
  }

  /** @override */
  async _prepareContext() {
    const context = await super._prepareContext()
    return context
  }
}
